Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Mathew Binkley (Mathew.Binkley_at_[hidden])
Date: 2007-07-26 21:43:28


Hello. I am trying to build Open-MPI 1.2.3 on RHEL 5 64 bit with
Myrinet MX support with GCC 4.2.1.

export CC=gcc ; export CFLAGS='-O2 -m64'
export CXX=g++ ; export CXXFLAGS='-O2 -m64'
export FC=gfortran ; export FCFLAGS='-O2 -m64'
export F77=gfortran ; export F77FLAGS='-O2 -m64'

make distclean

./configure CC=$CC CXX=$CXX F77=$F77 FC=$FC \
                --prefix=/usr/local/openmpi-1.2.3/opteron/gcc-mx \
                --with-tm=/usr/scheduler/torque \
                --with-mx=/usr/mx \
                --with-mx-libdir=/usr/mx/lib64

make -j3

The compile fails after a few minutes with the following error:

Making install in asm
make[2]: Entering directory
`/usr/local/openmpi-1.2.3/opteron/gcc-mx/source/opal/asm'
depbase=`echo asm.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
        if /bin/sh ../../libtool --tag=CC --mode=compile gcc
-DHAVE_CONFIG_H -I. -I. -I../../opal/include -I../../orte/include
-I../../ompi/include -I../../ompi/include -I../.. -DNDEBUG -O1 -m64
-finline-functions -fno-strict-aliasing -pthread -MT asm.lo -MD -MP -MF
"$depbase.Tpo" -c -o asm.lo asm.c; \
        then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f
"$depbase.Tpo"; exit 1; fi
../../libtool: line 460: CDPATH: command not found
libtool: Version mismatch error. This is libtool 2.1a, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.1a
libtool: and run autoconf again.
make[2]: *** [asm.lo] Error 1
make[2]: Leaving directory
`/usr/local/openmpi-1.2.3/opteron/gcc-mx/source/opal/asm'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory
`/usr/local/openmpi-1.2.3/opteron/gcc-mx/source/opal'
make: *** [install-recursive] Error 1

I have the following automake/autoconf/libtool packages installed on my
machine:

libtool-ltdl-1.5.22-6.1
libtool-1.5.22-6.1
autoconf213-2.13-12.1
autoconf-2.59-12
automake14-1.4p6-13
automake15-1.5-16
automake16-1.6.3-8
automake17-1.7.9-7
automake-1.9.6-2.1

Any ideas what's behind the error?

Mat Binkley